package com.gh.gamecenter.feedback.provider

import android.content.Context
import android.os.Bundle
import com.therouter.router.Route
import com.gh.gamecenter.common.constant.RouteConsts
import com.gh.gamecenter.core.provider.IDirectProvider
import com.gh.gamecenter.core.utils.ToastUtils

@com.therouter.inject.ServiceProvider
class DirectProviderImpl : IDirectProvider {

    override fun directToWebView(context: Context, url: String, entrance: String?) {
        ToastUtils.toast("调用->DirectProviderImpl.directToWebView")
    }

    override fun directToRegulationTestPage(context: Context) {
        ToastUtils.toast("调用->DirectProviderImpl.directToRegulationTestPage")
    }

    override fun directToQqConversation(context: Context, qq: String) {
        ToastUtils.toast("调用->DirectProviderImpl.directToQqConversation")
    }

    override fun directToCommodityDetail(context: Context, commodityId: String) {
        ToastUtils.toast("调用->DirectProviderImpl.directToCommodityDetail")
    }

    override fun directToEnergyRecord(context: Context) {
        ToastUtils.toast("调用->DirectProviderImpl.directToEnergyRecord")
    }

    override fun directToEnergyRecord(context: Context, position: Int) {
        ToastUtils.toast("调用->DirectProviderImpl.directToEnergyRecord")
    }

    override fun directToEnergyRulePage(context: Context) {
        ToastUtils.toast("调用->DirectProviderImpl.directToEnergyRulePage")
    }

    override fun directToInviteFriends(context: Context) {
        ToastUtils.toast("调用->DirectProviderImpl.directToInviteFriends")
    }

    override fun directToExchangeRulePage(context: Context) {
        ToastUtils.toast("调用->DirectProviderImpl.directToExchangeRulePage")
    }

    override fun directToExchangeCommodityPage(context: Context) {
        ToastUtils.toast("调用->DirectProviderImpl.directToExchangeCommodityPage")
    }

    override fun directToLotteryParadisePage(context: Context) {
        ToastUtils.toast("调用->DirectProviderImpl.directToLotteryParadisePage")
    }

    override fun directDouyin(context: Context, userId: String) {
        ToastUtils.toast("调用->DirectProviderImpl.directDouyin")
    }

    override fun directToSuggestionFromDiagnosis(context: Context, content: String, diagnosis: String) {
        ToastUtils.toast("调用->DirectProviderImpl.directToSuggestionFromDiagnosis")
    }

    override fun directToQa(context: Context, text: String?, id: String) {
        ToastUtils.toast("调用->DirectProviderImpl.directToQa")
    }

    override fun directToHelpAndFeedback(context: Context, bundle: Bundle?) {
        ToastUtils.toast("调用->DirectProviderImpl.directToHelpAndFeedback")
    }

    override fun directToQqGroup(context: Context, groupNumber: String?): Boolean {
        ToastUtils.toast("调用->DirectProviderImpl.directToQqGroup")
        return true
    }

    override fun directToHomeActivity(context: Context, userId: String?, entrance: String?, path: String?) {
        ToastUtils.toast("调用->DirectProviderImpl.directToHomeActivity")
    }

    override fun directToAnswerDetail(context: Context, id: String, entrance: String?, path: String?) {
        ToastUtils.toast("调用->DirectProviderImpl.directToAnswerDetail")
    }

    override fun directToCommunityArticle(
        context: Context,
        articleId: String?,
        communityId: String?,
        entrance: String?,
        path: String?
    ) {
        ToastUtils.toast("调用->DirectProviderImpl.directToCommunityArticle")
    }

    override fun directToVideoDetail(context: Context, videoId: String, entrance: String?, path: String?) {
        ToastUtils.toast("调用->DirectProviderImpl.directToVideoDetail")
    }

    override fun directToAmway(context: Context, fixedTopAmwayCommentId: String?, entrance: String?, path: String?) {
        ToastUtils.toast("调用->DirectProviderImpl.directToAmway")
    }

    override fun directToOrderCenter(context: Context) {
        ToastUtils.toast("调用->DirectProviderImpl.directToOrderCenter")
    }

    override fun directToOrderDetail(context: Context, orderId: String) {
        ToastUtils.toast("调用->DirectProviderImpl.directToOrderDetail")
    }

    override fun directToMyPrizePage(context: Context) {
        ToastUtils.toast("调用->DirectProviderImpl.directToMyPrizePage")
    }

    override fun directToWinOrderDetail(context: Context, orderId: String, activityId: String) {
        ToastUtils.toast("调用->DirectProviderImpl.directToWinOrderDetail")
    }

    override fun directToQGame(context: Context) {
        ToastUtils.toast("调用->DirectProviderImpl.directToQGame")
    }

    override fun directToExternalBrowser(context: Context, url: String) {
        ToastUtils.toast("调用->DirectProviderImpl.directToExternalBrowser")
    }
}